import React from "react";
import PropTypes from "prop-types";

export default function Logout(props) {
  return (
    <svg
      style={props.style}
      className={props.className}
      width={props.width}
      height={props.height}
      viewBox="0 0 17 17"
      fill={props.fill}
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        fill={props.fill}
        d="M12.0195 13.0156V14.3438C12.0195 15.8084 10.828 17 9.36328 17H2.68945C1.22475 17 0.0332031 15.8084 0.0332031 14.3438V2.65625C0.0332031 1.19155 1.22475 0 2.68945 0H9.36328C10.828 0 12.0195 1.19155 12.0195 2.65625V3.98438C12.0195 4.35117 11.7223 4.64844 11.3555 4.64844C10.9887 4.64844 10.6914 4.35117 10.6914 3.98438V2.65625C10.6914 1.92397 10.0956 1.32812 9.36328 1.32812H2.68945C1.95717 1.32812 1.36133 1.92397 1.36133 2.65625V14.3438C1.36133 15.076 1.95717 15.6719 2.68945 15.6719H9.36328C10.0956 15.6719 10.6914 15.076 10.6914 14.3438V13.0156C10.6914 12.6488 10.9887 12.3516 11.3555 12.3516C11.7223 12.3516 12.0195 12.6488 12.0195 13.0156ZM16.547 7.35929L15.06 5.87228C14.8006 5.61288 14.3801 5.61288 14.1208 5.87228C13.8614 6.13155 13.8614 6.55204 14.1208 6.81131L15.1785 7.86914H7.20508C6.83829 7.86914 6.54102 8.16641 6.54102 8.5332C6.54102 8.89999 6.83829 9.19727 7.20508 9.19727H15.1785L14.1208 10.2551C13.8614 10.5144 13.8614 10.9349 14.1208 11.1941C14.2505 11.3238 14.4204 11.3887 14.5903 11.3887C14.7603 11.3887 14.9303 11.3238 15.06 11.1941L16.547 9.70712C17.1943 9.05978 17.1943 8.00662 16.547 7.35929Z"
      />
    </svg>
  );
}

Logout.propTypes = {
  className: PropTypes.string,
  width: PropTypes.number,
  height: PropTypes.number,
};

Logout.defaultProps = {
  className: "mr-75",
  fill: "#6b7daa",
  width: 17,
  height: 17,
};
